You can manage your waiting rooms using the Waiting Room dashboard or the API.
- In your application, go to Traffic > Waiting Room.
- On a record, select Edit.
- Select Settings.
- Edit the settings. For a description of settings, refer to Configuration settings.
- Select Next. If you have access to customized templates, you could also adjust the template.
- Once you get to Review, select Save.
- In your application, go to Traffic > Waiting Room.
- On a record, select Delete.
- Select Delete again.
Replace ↗ a configured waiting room by appending the following endpoint to the Cloudflare API base URL.
Required API token permissions
At least one of the following token permissions is required:Waiting Rooms Write
curl "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID" \
--request PUT \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--json '{
"name": "webshop-waiting-room",
"host": "example.com",
"new_users_per_minute": 200,
"total_active_users": 300
}'Update ↗ a configured waiting room by appending the following endpoint to the Cloudflare API base URL.
Required API token permissions
At least one of the following token permissions is required:Waiting Rooms Write
curl "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID" \
--request PATCH \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--json '{
"name": "webshop-waiting-room",
"host": "example.com",
"new_users_per_minute": 200,
"total_active_users": 300
}'You only need to include the fields you want to update in the payload of the PATCH request.
Delete a waiting room by appending the following endpoint in the Waiting Room API ↗ to the Cloudflare API base URL.
Required API token permissions
At least one of the following token permissions is required:Waiting Rooms Write
curl "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID" \
--request DELETE \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN"